Subject: bug#71690: 14.0.5; preview-latex clips bold text with inline equations

From: Arash Esbati <[email-masked]>
Date: Fri, 21 Jun 2024 09:15:46 +0200

Hi Keita,

Ikumi Keita <[email-masked]> writes:

> Thanks for your report. I confirmed what you say. This is basically a
> issue described in preview-latex manual[1]. However, the workaround
> mentioned there, namely putting
> \PreviewMacro*\textbf
> in the preamble, doesn't work because it is ignored by LaTeX as
> ,----
> | l.7 \PreviewMacro
> |                  *\textbf
> | 
> | ./tst-prv3.tex:7: LaTeX Error: Missing \begin{document}.
> `----
> . When I put \PreviewMacro*\emph after \begin{document}, document
> preview (C-c C-p C-d) does work but region preview doesn't.

Does this work in the preamble?

  \AtBeginDocument{\PreviewMacro*\textbf}

> I'll add \textbf in the default "prauctex.cfg".

Thanks for fixing this.

Best, Arash